VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::LibraryStub Class Reference

Remote stub implementation of the Library API service. More...

Inherits vmware::content::Library.

List of all members.

## Public Member Functions
| LibraryStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.content.LibraryModel | Get (string libraryId)
| Returns a given LibraryModel .
vmware.content.LibraryModel | Get (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a given LibraryModel .
global::System.Threading.Tasks.Task < vmware.content.LibraryModel > | GetAsync (string libraryId)
| Returns a given LibraryModel .
global::System.Threading.Tasks.Task < vmware.content.LibraryModel > | GetAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a given LibraryModel .
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers of all libraries of any type in the Content Library.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all libraries of any type in the Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers of all libraries of any type in the Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all libraries of any type in the Content Library.
global::System.Collections.Generic.List < string > | Find (vmware.content.LibraryTypes.FindSpec spec)
| Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .
global::System.Collections.Generic.List < string > | Find (vmware.content.LibraryTypes.FindSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | FindAsync (vmware.content.LibraryTypes.FindSpec spec)
| Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | FindAsync (vmware.content.LibraryTypes.FindSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .
void | Update (string libraryId, vmware.content.LibraryModel updateSpec)
| Updates the properties of a library.
void | Update (string libraryId, vmware.content.LibraryModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a library.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryId, vmware.content.LibraryModel updateSpec)
| Updates the properties of a library.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryId, vmware.content.LibraryModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a library.

## Detailed Description

Remote stub implementation of the Library API service.

## Constructor & Destructor Documentation

vmware::content::LibraryStub::LibraryStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.List<string> vmware::content::LibraryStub::Find | ( | vmware.content.LibraryTypes.FindSpec | spec | ) | `[inline]`

Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.

Returns:
  The list of identifiers of all the visible libraries matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

global::System.Collections.Generic.List<string> vmware::content::LibraryStub::Find | ( | vmware.content.LibraryTypes.FindSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all the visible libraries matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::LibraryStub::FindAsync | ( | vmware.content.LibraryTypes.FindSpec | spec | ) | `[inline]`

Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.

Returns:
  The list of identifiers of all the visible libraries matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::LibraryStub::FindAsync | ( | vmware.content.LibraryTypes.FindSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns a list of all the visible (as determined by authorization policy) libraries matching the requested Library.FindSpec .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if no properties are specified in the spec .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Parameters:

  spec | Specification describing what properties to filter on.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all the visible libraries matching the given spec . The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

vmware.content.LibraryModel vmware::content::LibraryStub::Get | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns a given LibraryModel .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The LibraryModel instance with the specified libraryId .

Implements vmware::content::Library.

vmware.content.LibraryModel vmware::content::LibraryStub::Get | ( | string | libraryId | ) | `[inline]`

Returns a given LibraryModel .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The LibraryModel instance with the specified libraryId .

Implements vmware::content::Library.

global::System.Threading.Tasks.Task<vmware.content.LibraryModel> vmware::content::LibraryStub::GetAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns a given LibraryModel .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The LibraryModel instance with the specified libraryId .

Implements vmware::content::Library.

global::System.Threading.Tasks.Task<vmware.content.LibraryModel> vmware::content::LibraryStub::GetAsync | ( | string | libraryId | ) | `[inline]`

Returns a given LibraryModel .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the specified library does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The LibraryModel instance with the specified libraryId .

Implements vmware::content::Library.

global::System.Collections.Generic.List<string> vmware::content::LibraryStub::List | ( |  | ) | `[inline]`

Returns the identifiers of all libraries of any type in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of all identifiers of all libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

global::System.Collections.Generic.List<string> vmware::content::LibraryStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all libraries of any type in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of all identifiers of all libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::LibraryStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all libraries of any type in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of all identifiers of all libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::LibraryStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers of all libraries of any type in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of all identifiers of all libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::Library.

void vmware::content::LibraryStub::Update | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec
| ) |  | `[inline]`

Updates the properties of a library.

This is an incremental update to the library. Any field in the LibraryModel class that is null will not be modified.

This method will only update the common properties for all library types. This will not, for example, update the LibraryModel.publishInfo of a local library, nor the LibraryModel.subscriptionInfo of a subscribed library. Specific properties are updated in LocalLibrary.Update and SubscribedLibrary.Update .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLibrary` .

Parameters:

  libraryId | Identifier of the library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the library.

Implements vmware::content::Library.

void vmware::content::LibraryStub::Update | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the properties of a library.

This is an incremental update to the library. Any field in the LibraryModel class that is null will not be modified.

This method will only update the common properties for all library types. This will not, for example, update the LibraryModel.publishInfo of a local library, nor the LibraryModel.subscriptionInfo of a subscribed library. Specific properties are updated in LocalLibrary.Update and SubscribedLibrary.Update .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLibrary` .

Parameters:

  libraryId | Identifier of the library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::Library.

global::System.Threading.Tasks.Task vmware::content::LibraryStub::UpdateAsync | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the properties of a library.

This is an incremental update to the library. Any field in the LibraryModel class that is null will not be modified.

This method will only update the common properties for all library types. This will not, for example, update the LibraryModel.publishInfo of a local library, nor the LibraryModel.subscriptionInfo of a subscribed library. Specific properties are updated in LocalLibrary.Update and SubscribedLibrary.Update .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLibrary` .

Parameters:

  libraryId | Identifier of the library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::Library.

global::System.Threading.Tasks.Task vmware::content::LibraryStub::UpdateAsync | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec
| ) |  | `[inline]`

Updates the properties of a library.

This is an incremental update to the library. Any field in the LibraryModel class that is null will not be modified.

This method will only update the common properties for all library types. This will not, for example, update the LibraryModel.publishInfo of a local library, nor the LibraryModel.subscriptionInfo of a subscribed library. Specific properties are updated in LocalLibrary.Update and SubscribedLibrary.Update .

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLibrary` .

Parameters:

  libraryId | Identifier of the library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the library.

Implements vmware::content::Library.

The documentation for this class was generated from the following file:

- LibraryStub.cs